Update Wizard Dialog
====================

UpdateWizardDialog
------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.dialog.UpdateWizardDialog
   :members:
   :inherited-members:

Wizard
------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.Wizard
   :members:
   :inherited-members:

CheckingPanel
-------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.CheckingPanel
   :members:
   :inherited-members:

DownloadingPanel
----------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.DownloadingPanel
   :members:
   :inherited-members:

DummyPanel
----------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.DummyPanel
   :members:
   :inherited-members:

ErrorPatchingPanel
------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.ErrorPatchingPanel
   :members:
   :inherited-members:

ErrorPanel
----------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.ErrorPanel
   :members:
   :inherited-members:

ErrorExtraPanel
---------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.ErrorExtraPanel
   :members:
   :inherited-members:

FinishedPanel
-------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.FinishedPanel
   :members:
   :inherited-members:

FinishedBackgroundPanel
-----------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.FinishedBackgroundPanel
   :members:
   :inherited-members:

IncompatibleCheckPanel
----------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.IncompatibleCheckPanel
   :members:
   :inherited-members:

IncompatibleListPanel
---------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.IncompatibleListPanel
   :members:
   :inherited-members:

InstalledPanel
--------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.InstalledPanel
   :members:
   :inherited-members:

LicensePanel
------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.LicensePanel
   :members:
   :inherited-members:

ManualUpdatePanel
-----------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.ManualUpdatePanel
   :members:
   :inherited-members:

NoUpdatesFoundPanel
-------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.NoUpdatesFoundPanel
   :members:
   :inherited-members:

PluginUpdatesFoundPanel
-----------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.PluginUpdatesFoundPanel
   :members:
   :inherited-members:

UpdatesFoundBasicPanel
----------------------

.. autoclass:: firefox_puppeteer.ui.update_wizard.wizard.UpdatesFoundBasicPanel
   :members:
   :inherited-members:
